Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.ss.usermodel
Interface HeaderFooter

All Known Subinterfaces:
  Footer, Header

All Known Implementing Classes:
  HeaderFooter, HSSFFooter, HSSFHeader, XSSFEvenFooter, XSSFEvenHeader, XSSFFirstFooter, XSSFFirstHeader, XSSFHeaderFooter, XSSFOddFooter, XSSFOddHeader

    public interface HeaderFooter

Common interface for `Header` and `Footer`.

Method Summary
`java.lang.String` | `getCenter()` Get the center of the header or footer.
`java.lang.String` | `getLeft()` Get the left side of the header or footer.
`java.lang.String` | `getRight()` Get the right side of the header or footer.
`void` | `setCenter(java.lang.String newCenter)` Sets the center string.
`void` | `setLeft(java.lang.String newLeft)` Sets the left string.
`void` | `setRight(java.lang.String newRight)` Sets the right string or footer.

Method Detail

### getLeft

    java.lang.String getLeft()

  Get the left side of the header or footer.

  Returns:
    The string representing the left side.

### setLeft

    void setLeft(java.lang.String newLeft)

  Sets the left string.

  Parameters:
    `newLeft` - The string to set as the left side.

### getCenter

    java.lang.String getCenter()

  Get the center of the header or footer.

  Returns:
    The string representing the center.

### setCenter

    void setCenter(java.lang.String newCenter)

  Sets the center string.

  Parameters:
    `newCenter` - The string to set as the center.

### getRight

    java.lang.String getRight()

  Get the right side of the header or footer.

  Returns:
    The string representing the right side.

### setRight

    void setRight(java.lang.String newRight)

  Sets the right string or footer.

  Parameters:
    `newRight` - The string to set as the right side.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.